GLM_EXT_quaternion_transform
Stable extensions

Provides transformation functions for quaternion types. More...

## Functions

template<typename T , qualifier Q>
GLM_FUNC_DECL qua< T, Q > | exp (qua< T, Q > const &q)
| Returns a exponential of a quaternion. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL qua< T, Q > | log (qua< T, Q > const &q)
| Returns a logarithm of a quaternion. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL qua< T, Q > | pow (qua< T, Q > const &q, T y)
| Returns a quaternion raised to a power. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL qua< T, Q > | rotate (qua< T, Q > const &q, T const &angle, vec< 3, T, Q > const &axis)
| Rotates a quaternion from a vector of 3 components axis and an angle. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL qua< T, Q > | sqrt (qua< T, Q > const &q)
| Returns the square root of a quaternion. More...

## Detailed Description

Provides transformation functions for quaternion types.

Include <glm/ext/quaternion_transform.hpp> to use the features of this extension.

See also
  GLM_EXT_quaternion_float
  GLM_EXT_quaternion_double
  GLM_EXT_quaternion_exponential
  GLM_EXT_quaternion_geometric
  GLM_EXT_quaternion_relational
  GLM_EXT_quaternion_trigonometric

## Function Documentation

GLM_FUNC_DECL qua<T, Q> glm::exp | ( | qua< T, Q > const & | q | ) |

Returns a exponential of a quaternion.

Template Parameters

  T | A floating-point scalar type
  Q | A value from qualifier enum

GLM_FUNC_DECL qua<T, Q> glm::log | ( | qua< T, Q > const & | q | ) |

Returns a logarithm of a quaternion.

Template Parameters

  T | A floating-point scalar type
  Q | A value from qualifier enum

GLM_FUNC_DECL qua<T, Q> glm::pow | ( | qua< T, Q > const & | q,
|  | T | y
| ) |  |

Returns a quaternion raised to a power.

Template Parameters

  T | A floating-point scalar type
  Q | A value from qualifier enum

GLM_FUNC_DECL qua<T, Q> glm::rotate | ( | qua< T, Q > const & | q,
|  | T const & | angle,
|  | vec< 3, T, Q > const & | axis
| ) |  |

Rotates a quaternion from a vector of 3 components axis and an angle.

Parameters

  q | Source orientation
  angle | Angle expressed in radians.
  axis | Axis of the rotation

Template Parameters

  T | Floating-point scalar types
  Q | Value from qualifier enum

GLM_FUNC_DECL qua<T, Q> glm::sqrt | ( | qua< T, Q > const & | q | ) |

Returns the square root of a quaternion.

Template Parameters

  T | A floating-point scalar type
  Q | A value from qualifier enum